Pytanie:
Jak zainstalować MySQL na Occidentalis?
mkoryak
2012-09-17 21:46:35 UTC
view on stackexchange narkive permalink

Nie mogę znaleźć żadnych poradników, jak zainstalować MySQL na Raspberry Pi z Occidentalis 0.2; Occidentalis jest pochodną Raspbian.

Nie mogę użyć apt-get do zainstalowania go nawet po uruchomieniu apt-get update . Myślę, że będę musiał sam skompilować MySQL. Jakie jest doświadczenie z robieniem tego?

Oto czego próbowałem:

  pi @ raspberrypi ~ $ sudo apt-get install mysql Odczytywanie list pakietów ... Gotowe Budowanie drzewa zależnościCzytanie informacje o stanie ... Gotowe: Nie można zlokalizować pakietu mysql  
Instaluje się za pomocą apt-get na Raspbian. Jeśli nie masz konkretnego powodu, aby używać Occidentalis, może być łatwiej po prostu go użyć.
Jeśli potrzebujesz bazy danych na Occidentalis, użyj zamiast tego „sqlite”. Jestem całkiem pewien, że wytrzyma niskie obciążenie.
@Kibbee: Occidentalis jest oparty na Raspbian, więc powinien używać tych samych repozytoriów. Jeśli jest dostępny w Raspianie, powinien być również dostępny w Occidentalis, chyba że coś jest zepsute.
@AlexChamberlain: MySQL powinien również być w stanie pracować z dość niskimi zasobami. SQLite jest bardzo prosty i brakuje mu wielu funkcji prawdziwych RDBM, więc może nie być odpowiedni dla wielu obciążeń.
może robię coś złego. edytowane pytanie z moimi krokami instalacji
spróbuj tego zamiast sudo apt-get install mysql-server mysql-client
Dwa odpowiedzi:
#1
+12
Christian
2012-09-17 22:47:09 UTC
view on stackexchange narkive permalink

Prosta odpowiedź:

  sudo apt-get install mysql-server  

Właśnie zapomniałeś napisu -server ! !

Powodzenia!

cholera ... zawsze redaguję zarówno moje odpowiedzi, jak i pytania;)
Nie zapominaj, że możesz użyć `apt-cache search foo` do wyszukania nazw pakietów, jeśli nie jesteś ich pewien.
#2
+2
Alex Chamberlain
2012-09-18 01:07:43 UTC
view on stackexchange narkive permalink

Occidentalis, Raspbian i Debian dzielą funkcjonalność MySQL na 2 pakiety: mysql-server i mysql-client . Można je zainstalować za pomocą narzędzia apt-get install , które należy uruchomić jako root .



To pytanie i odpowiedź zostało automatycznie przetłumaczone z języka angielskiego.Oryginalna treść jest dostępna na stackexchange, za co dziękujemy za licencję cc by-sa 3.0, w ramach której jest rozpowszechniana.
Loading...